package net.northking.cctp.executePlan.dto.planScript;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class AtuPlanScriptDto {

    @ApiModelProperty("计划id")
    private String planId;

    @ApiModelProperty("脚本集合")
    private List<String> scriptList;

    @ApiModelProperty("脚本勾选不执行测试意图集合")
    private List<AtuPlanScriptInputDto> dtoList;

    @ApiModelProperty("父节点集合")
    private List<String> parentList;

    public List<String> getScriptList() {
        return scriptList;
    }

    public void setScriptList(List<String> scriptList) {
        this.scriptList = scriptList;
    }

    public List<String> getParentList() {
        return parentList;
    }

    public void setParentList(List<String> parentList) {
        this.parentList = parentList;
    }

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }

    public List<AtuPlanScriptInputDto> getDtoList() {
        return dtoList;
    }

    public void setDtoList(List<AtuPlanScriptInputDto> dtoList) {
        this.dtoList = dtoList;
    }
}
